LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

NXG Conversion Error

Solved!
Go to solution

I have an old project that was developed in Labview 7.0 that I was trying to convert to NXG but I get an error that the version is not supported and needs to be saved in 2017 or later. Is that the only step required or is there multiple steps and how do I get this accomplished. My IT department bought and installed NXG recently but did not give me any information about the installation.

0 Kudos
Message 1 of 3
(193 Views)

Hi CJ,

 

read carefully the NI announcements sticked to the header of the LabVIEW board, especially that "Commitment".

 

Then talk to your IT department to let them install "classic" LabVIEW instead of NXG!

Best regards,
GerdW


using LV2020 on Win8.1+cRIO
0 Kudos
Message 2 of 3
(185 Views)
Solution
Accepted by topic author CJackson-DTE

@CJackson-DTE wrote:

My IT department bought and installed NXG recently but did not give me any information about the installation.


Yes, NXG is discontinued with 5.1 (just recently released) being the last version.  Luckily, when you buy a LabVIEW license, it works for LabVIEW 20XX and NXG.  So I would recommend just getting LabVIEW 2020 SP1 installed on your system and you can just open your old project directly.  If DAQ was involved, then it will be interesting since NI-DAQ was replaced a very long time ago with DAQmx around the LabVIEW 8.0 time frame.  They have completely different APIs, so you probably be fighting a learning curve there.


GCentral
There are only two ways to tell somebody thanks: Kudos and Marked Solutions
Unofficial Forum Rules and Guidelines
"Not that we are sufficient in ourselves to claim anything as coming from us, but our sufficiency is from God" - 2 Corinthians 3:5
0 Kudos
Message 3 of 3
(164 Views)